# add guard for OSP packages not carried
%global rhosp 1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-tripleo
Version:        7.4.12
Release:        10%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=7.4.12
Patch0001: 0001-Change-haproxy-check-to-tcpka-for-ec2_api.patch
Patch0002: 0002-Force-stunnel-to-use-TLSv1.2.patch
Patch0003: 0003-Merge-default_listen-with-swift_proxy_server_listen_.patch
Patch0004: 0004-docker-force-insecure-registries-to-be-an-array.patch
Patch0005: 0005-Add-missing-nfs_mount_options-for-Cinder-Netapp-back.patch
Patch0006: 0006-Ensure-appropriate-ACL-mask-is-set-on-CephX-keyrings.patch
Patch0007: 0007-Make-sure-we-apply-qemu-config-changes.patch
Patch0008: 0008-Run-cinder-s-db-sync-only-on-bootstrap-node.patch
Patch0009: 0009-Fix-up-property-names-in-case-of-mixed-case-hostname.patch
Patch0010: 0010-Add-panko-expirer-to-configure-cron-tasks.patch
Patch0011: 0011-Do-not-target-Redis-over-TLS-when-using-HA-Redis-pro.patch
Patch0012: 0012-Ocata-Pike-Queens-Only-Fix-Cinder-s-Netapp-backend.patch
Patch0013: 0013-DOWNSTREAM-ONLY-Add-logrotate-compress-option.patch
Patch0014: 0014-Fix-logrotate_crond-issues.patch
Patch0015: 0015-DOWNSTREAM-ONLY-Force-GDPR-compliance-of-containers-.patch
Patch0016: 0016-DOWNSTREAM-ONLY-Rework-GDPR-compliant-logrotate-conf.patch
Patch0017: 0017-DOWNSTREAM-ONLY-Fix-postrotate-to-notify-holders-of-.patch
Patch0018: 0018-Revert-DOWNSTREAM-ONLY-Fix-postrotate-to-notify-hold.patch
Patch0019: 0019-DOWNSTREAM-ONLY-Copytruncate-containerized-logrotate.patch

BuildArch:      noarch

Requires:       puppet-fdio
Requires:       puppet-stdlib
Requires:       puppet-cassandra
Requires:       puppet-zookeeper
Requires:       puppet-firewall
Requires:       puppet-midonet
Requires:       puppet-tomcat
Requires:       puppet-keepalived
Requires:       puppet-haproxy
Requires:       puppet-systemd
Requires:       puppet-veritas_hyperscale
Requires:       puppet >= 2.7.0

%if 0%{rhosp} == 0
Requires:       puppet-etcd
Requires:       puppet-qdr
%endif


%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Thu Oct 04 2018 Alex Schultz <aschultz@redhat.com> 7.4.12-10
- [DOWNSTREAM-ONLY] Copytruncate containerized logrotate configuration (rhbz#1631402)
- Revert "[DOWNSTREAM-ONLY] Fix postrotate to notify holders of rotated logs" (rhbz#151650)
- [DOWNSTREAM-ONLY] Fix postrotate to notify holders of rotated logs (rhbz#1631402)
- [DOWNSTREAM-ONLY] Rework GDPR compliant logrotate config (rhbz#1627740)
- [DOWNSTREAM-ONLY] Force GDPR compliance of containers logs (rhbz#1627740)
- Fix logrotate_crond issues
- [DOWNSTREAM-ONLY] Add logrotate compress option (rhbz#1627726)

* Fri Aug 10 2018 Alan Bishop <abishop@redhat.com> 7.4.12-9
- [Ocata,Pike,Queens-Only] Fix Cinder's Netapp backend (rhbz#1610962)

* Mon Aug 06 2018 Damien Ciabrini <dciabrin@redhat.com> 7.4.12-8
- Do not target Redis over TLS when using HA Redis profile (rhbz#1608450)

* Fri Aug 03 2018 Pradeep Kilambi <pkilambi@redhat.com> 7.4.12-7
- Add panko expirer to configure cron tasks (rhbz#1570147)

* Mon Jul 23 2018 Michele Baldessari <michele@acksyn.org> 7.4.12-6
- Fix up property names in case of mixed case hostnames (rhbz#1585189)

* Thu Jul 12 2018 Alan Bishop <abishop@redhat.com> 7.4.12-5
- Run cinder's db sync only on bootstrap node (rhbz#1599410)

* Mon Jul 09 2018 Martin Schuppert <mschuppert@redhat.com> 7.4.12-4
- Make sure we apply qemu config changes (rhbz#1597313)

* Mon Jun 25 2018 Alan Bishop <abishop@redhat.com> 7.4.12-3
- Add missing nfs_mount_options for Cinder Netapp backend (rhbz#1590953)

* Thu Jun 21 2018 Giulio Fidente <gfidente@redhat.com> 7.4.12-2
- Ensure appropriate ACL mask is set on CephX keyrings (rhbz#1585149)

* Tue Jun 12 2018 Steve Linabery <slinaber@redhat.com> 7.4.12-1
- Update to 7.4.12
- docker: force insecure registries to be an array

* Mon May 28 2018 Mathieu Bultel <mbultel@redhat.com> 7.4.8-9
- Merge default_listen with swift_proxy_server_listen_options (rhbz#1562148)

* Mon Apr 30 2018 Harry Rybacki <hrybacki@redhat.com> 7.4.8-8
- Disallow TLS v1.0 from HAProxy (rhbz#1572353)
- Force stunnel to use TLSv1.2 (rhbz#1572353)

* Mon Apr 30 2018 Harry Rybacki <hrybacki@redhat.com> 7.4.8-7
- Extract local CA if it expired (rhbz#1572280)

* Wed Apr 04 2018 Alan Bishop <abishop@redhat.com> 7.4.8-6
- Add support for Dell EMC VNX Cinder Backend (rhbz#1547146)

* Wed Mar 14 2018 Michele Baldessari <michele@acksyn.org> 7.4.8-5
- Fix stack update with rabbitmq containers (rhbz#1551265)

* Thu Mar 08 2018 Alex Schultz <aschultz@redhat.com> 7.4.8-4
- Update patches to stop managing oci-machine-register (rhbz#1553291)
- Use --live-restore when setting up the docker service (rhbz#1542936)

* Fri Feb 23 2018 Alan Bishop <abishop@redhat.com> 7.4.8-2
- Avoid hard-coded settings in Cinder HA containers (rhbz#1543641)
- Add missing pacemaker cindier CA cert mounts

* Tue Feb 13 2018 Thierry Vignaud <tvignaud@redhat.com> 7.4.8-1
- Update to 7.4.8

* Tue Nov 28 2017 Oliver Walsh <owalsh@redhat.com> 7.4.3-11
- Set ProxyPreserveHost in ec2api TLS proxy (rhbz#1513437)
- Add TLS for ec2api metadata service (rhbz#1513437)
- Add TLS for ec2api service (rhbz#1513437)

* Mon Nov 27 2017 Oliver Walsh <owalsh@redhat.com> 7.4.3-10
- Configure libvirt SASL SCRAM-SHA1 when TLS is enabled (rhbz#1513440)

* Thu Nov 23 2017 Damien Ciabrini <dciabrin@redhat.com> 7.4.3-9
- Set disable:true for oci-machine-register (rhbz#1516557)

* Wed Nov 22 2017 Damien Ciabrini <dciabrin@redhat.com> 7.4.3-8
- Fix ordering when pacemaker with bundles is being used (rhbz#1514495)

* Mon Nov 20 2017 Alan Bishop <abishop@redhat.com> 7.4.3-7
- Fix bind mounts for cinder-{backup,volume} (rhbz#1417645)

* Thu Nov 16 2017 Jon Schlueter <jschluet@redhat.com> 7.4.3-6
- Make docker network configurable (rhbz#1503021)

* Tue Nov 14 2017 Oliver Walsh <owalsh@redhat.com> 7.4.3-5
- Unset MountFlags in docker.service systemd directives (rhbz#1503214)

* Tue Nov 14 2017 Jon Schlueter <jschluet@redhat.com> 7.4.3-4
- Change haproxy check to tcpka for ec2_api (rhbz#1507599)

* Mon Nov 13 2017 Thierry Vignaud <tvignaud@redhat.com> 7.4.3-3
- Merge "Certmonger: Only notify haproxy class if it's defined" into stable/pike
- Release 7.4.4 (pike)
- Merge "Allow 'cinder' as a backend for Glance" into stable/pike

* Fri Nov 10 2017 Jon Schlueter <jschluet@redhat.com> 7.4.3-2
- Remove erroneous octavia code related to sync_db
- Certmonger: Only notify haproxy class if it's defined
- Allow 'cinder' as a backend for Glance (rhbz#1293435)

* Fri Nov 03 2017 RDO <dev@lists.rdoproject.org> 7.4.3-1
- Update to 7.4.3

* Tue Oct 10 2017 rdo-trunk <javier.pena@redhat.com> 7.4.2-1
- Update to 7.4.2

* Wed Oct 04 2017 rdo-trunk <javier.pena@redhat.com> 7.4.1-1
- Update to 7.4.1

* Sun Sep 10 2017 rdo-trunk <javier.pena@redhat.com> 7.4.0-1
- Update to 7.4.0

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 7.3.0-1
- Update to 7.3.0



